<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 48.10 - hienltt</title>
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css"> 
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light fixed-top">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4 fixed-left position-fixed">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Devcamp120</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Hienltt</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2" >
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item menu-open">
            <a href="#" class="nav-link active">
              <i class="nav-icon far fa-plus-square"></i>
              <p>
                Home
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="#" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>
                    Quản lý bảng điểm
                  </p>
                </a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper" style="padding-top: 50px;">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="text-primary">Quản lý bảng điểm</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#">Home</a></li>
              <li class="breadcrumb-item active">Quản lý bảng điểm</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="text-center mt-4 mb-3">
        <h3><b>F200 - LỊCH SỬ HỌC TẬP</b></h3>
      </div>
      <div class="jumbotron p-3 mb-3">
        <h5><b>Lọc bảng điểm:</b></h5>  
        <div class="row form-group mb-0 mt-3">
          <div class="col-sm-1 pl-5">
            <label class="col-form-label">Sinh viên:</label>
          </div>
          <div class="col-sm-4">
            <select id="select-student" class="form-control select2">
              
            </select>
          </div>
          <div class="col-sm-1 pl-5">
            <label class="col-form-label">Môn học:</label>
          </div>
          <div class="col-sm-4">
            <select id="select-subject" class="form-control select2">
              
            </select>
          </div>
          <div class="col-sm-2">
            <button id="btn-filter" class="btn btn-primary"><i class="fas fa-filter"></i> Lọc dữ liệu</button>
          </div>
        </div>
      </div>
      <div class="mb-3">
        <button id="btn-add" class="btn btn-primary"><i class="fas fa-plus"></i> Thêm</button>
      </div>
      <table id="student-table" class="table table-bordered table-striped table-hover text-center">
        <thead>
          <tr>
            <th scope="col">STT</th>
            <th scope="col">Sinh viên</th>
            <th scope="col">Môn học</th>
            <th scope="col">Điểm</th>
            <th scope="col">Ngày thi</th>
            <th scope="col">Action</th>
          </tr>
        </thead>
        <tbody>
  
        </tbody>
      </table>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2022 <a href="#">Devcamp - hienltt</a>.</strong> All rights reserved.
  </footer>
</div>
<!-- ./wrapper -->

<!-- Vùng modal  Delete-->
<div id="delete-confirm-modal" class="modal fade" tabindex="-1">
  <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h5 class="modal-title">Delete Confirmation</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
              <label>Bạn có chắc muốn xoá dữ liệu này không?</label>
          </div>
          <div class="modal-footer">
              <button class="btn btn-danger" id="btn-confirm-delete">Confirm</button>
              <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
          </div>
      </div>
  </div>
</div>
<!-- Vùng modal Edit-->
<div id="edit-grade-modal" class="modal fade" tabindex="-1">
  <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">
              <h5 class="modal-title">Edit Grade</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
          </div>
          <div class="modal-body">
              <div class="row form-group">
                  <div class="col-sm-4">
                    <label>Sinh viên</label>
                  </div>
                  <div class="col-sm-8">
                    <select class="form-control" id="select-edit-modal-student" disabled>
                    </select>
                  </div>
              </div>
              <div class="row form-group">
                  <div class="col-sm-4">
                    <label>Môn học</label>
                  </div>
                  <div class="col-sm-8">
                    <select class="form-control" id="select-edit-modal-subject" disabled>
                    </select>
                  </div>
              </div>
              <div class="row form-group">
                  <div class="col-sm-4">
                    <label>Điểm</label>
                  </div>
                  <div class="col-sm-8">
                      <input type="text" class="form-control" id="inp-edit-modal-grade">
                  </div>
              </div>
              <div class="row form-group">
                  <div class="col-sm-4">
                    <label>Ngày thi</label>
                  </div>
                  <div class="col-sm-8">
                    <input type="text" class="form-control" id="inp-edit-modal-testday">
                  </div>
              </div>
          </div>
          <div class="modal-footer">
              <button class="btn btn-success" id="btn-modal-edit">Update</button>
              <button class="btn btn-danger" id="btn-modal-cancel" data-dismiss="modal">Cancel</button>
          </div>
      </div>
  </div>
</div>
<!-- Vùng modal thêm grade -->
<div id="add-grade-modal" class="modal fade" tabindex="-1">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Thêm bảng điểm</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row form-group">
          <div class="col-sm-4">
            <label>Sinh viên</label>
          </div>
          <div class="col-sm-8">
            <select class="form-control" id="select-add-modal-student">
              <option value="none">--Chọn--</option>
            </select>
          </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
              <label>Môn học</label>
            </div>
            <div class="col-sm-8">
              <select class="form-control" id="select-add-modal-subject">
                <option value="none">--Chọn--</option>
              </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
              <label>Điểm</label>
            </div>
            <div class="col-sm-8">
                <input type="text" class="form-control" id="inp-add-modal-grade">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
              <label>Ngày thi</label>
            </div>
            <div class="col-sm-8">
              <input type="text" class="form-control" id="inp-add-modal-testday">
            </div>
        </div>
      </div>   
      <div class="modal-footer">
        <div class="form-group">
          <button id="btn-add-grade" class="btn btn-warning px-5"><i class="fas fa-plus"></i> Thêm</button>
          <button data-dismiss="modal" class="btn btn-danger px-5"><i class="fa fa-arrow-left pr-1"></i>Quay lại</button>
        </div>
      </div>                   
    </div>
  </div>
</div>

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- Page specific script -->
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
      "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>
<!-- file js tự định nghĩa thêm -->
<script src="script.js"></script>

</body>
</html>
